# $Revision: 1.18 $, $Date: 2005/01/20 00:19:05 $
Summary:	PLD automatic update notification and upgrade wizard
Summary(pl):	Program powiadamiania o aktualizacjach w PLD
Name:		LinuxUpdate
Version:	0.5
Release:	1
Epoch:		0
License:	GPL
Group:		X11/Applications
Vendor:		Patryk Zawadzki <patrys@pld-linux.org>
Source0:	http://patrys.qns.pl/linux/LinuxUpdate/%{name}-%{version}.tar.gz
# Source0-md5:	720daf8db7476e367c85bc2609c7cc8d
Source1:	%{name}.desktop
Requires:	perl-Gtk2
Requires:	perl-Gtk2-TrayIcon
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD automatic update notification and upgrade wizard. This program lets
you know when new packages are ready for upgrade and allows you to update
selected components.

%description -l pl
Program powiadamiania o aktualizacjach w PLD i umoliwia dokonanie
aktualizacji wybranych pakietw.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_bindir},%{_desktopdir}}

install *.svg $RPM_BUILD_ROOT%{_pixmapsdir}
install LinuxUpdate $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_desktopdir}/*
%attr(644,root,root) %{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: LinuxUpdate.spec,v $
Revision 1.18  2005/01/20 00:19:05  patrys
- version up to 0.5
- bugfix release
- STBR

Revision 1.17  2004/12/07 20:34:38  patrys
- poldek called with "--noask"
- pixmaps moved
- STBR

Revision 1.16  2004/12/07 20:02:48  patrys
- pixmaps moved as ordered by havner

Revision 1.15  2004/11/30 22:07:09  patrys
- version up to 0.4.1

Revision 1.14  2004/11/29 20:43:10  patrys
- small fix, rel. up to 2

Revision 1.13  2004/11/29 19:57:09  patrys
- version up to 0.4

Revision 1.12  2004/10/27 10:53:34  ankry
- rel. 2

Revision 1.11  2004/10/08 19:51:22  patrys
- ver. up to 0.3.1

Revision 1.10  2004/10/08 19:29:35  patrys
- version up to 0.3

Revision 1.9  2004/10/01 11:38:53  paladine
- rel 3 for fixed desktop file

Revision 1.8  2004/07/28 16:50:06  paszczus
- use %{name} in Source1

Revision 1.7  2004/07/15 17:41:43  patrys
- .desktop file added (thx havner)

Revision 1.6  2004/07/15 09:46:49  patrys
- version up to 0.2
- marked as BA: noarch

Revision 1.5  2004/07/14 20:50:25  qboosh
- todo done

Revision 1.4  2004/07/14 19:34:18  averne
- added Source0 md5

Revision 1.3  2004/07/14 18:56:39  qboosh
- cleanup, descs from summaries until sb make better ones; md5 is missing

Revision 1.2  2004/07/14 13:24:30  patrys
- typo: Trayicon -> TrayIcon

Revision 1.1  2004/07/14 13:20:25  patrys
- PLD Initial Release
- missing description
- missing .desktop file
